Bug 300487 - The hot keys for the layer renaming
Summary: The hot keys for the layer renaming
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Filter Layers (show other bugs)
Version: 2.4
Platform: Debian unstable Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-05-23 05:54 UTC by yustas
Modified: 2013-01-02 05:30 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yustas 2012-05-23 05:54:15 UTC
The keyboard shortcuts for the layer renaming would be very useful.
Comment 1 David REVOY 2012-06-30 11:05:37 UTC
This already exist now ( krita 2.5git ) select a layer, press F2 ( a standard for renaming ) will start highlighting the layer name and invite to rename.
Comment 2 Halla Rempt 2012-06-30 11:34:29 UTC
Yay, I had forgotten we had it already :-)
Comment 3 yustas 2012-07-01 03:43:16 UTC
It's great!
Comment 4 Sven Langkamp 2012-07-01 13:02:30 UTC
F2 shortcut is also used for incremental saving. I reopen the report till that is resolved.
Comment 5 Halla Rempt 2012-12-29 10:25:45 UTC
Git commit 4c27788c4c952537ea3f911ccb3493a99526207c by Boudewijn Rempt.
Committed on 29/12/2012 at 11:26.
Pushed by rempt into branch 'master'.

Change incremental save shortcut to ctrl-alt-s

Because it conflicts with the standard F2 shortcut for renaming layers.
CCMAIL:kimageshop@kde.org

M  +1    -1    krita/ui/kis_view2.cpp

http://commits.kde.org/calligra/4c27788c4c952537ea3f911ccb3493a99526207c
Comment 6 yustas 2013-01-02 05:30:31 UTC
It's a good news.